# Description
This is a straightforward command-line interface password manager that enables you to create and save passwords and usernames with labels.

# Usage:
The main password that you in input at first password generation is the main password for the program. It is used to encrypt all other passwords. If you forget it, you will not be able to decrypt your passwords. So be careful with it. You can change it later.

# How to use:
```
Usage:

password_manager.exe [flags]

Flags:
-h                   print this message
<label>              get password for this label can use GLOB
-g <label>           generate password for this label (or update if exists)
-i <label>           input new password for this label (or update if exists)
-d <label>           delete password for this label
-s <label>           show password for this label
-u <label>           update username for this label
-n <label>           update label name
-e <label>           open editor, password as note
-l                   list all labels
-p                   print all passwords
-c                   change master password
-z                   print size of file
-f <folder path>     select save folder
```

# Versions:
- V6 - Add flag -e open any password in text editor
- V5 - Add support for linux 
- V4 - Add select save folder
- V3 - Add username to LoginInfo
- V2 - Remove string size limit
- V1 - Working with string size limit of 20 characters

# How to build
```sh
// linux
g++ build.cpp -o build
./build
./build clear build opt

// windows
zig c++ build.cpp -o build
./build
./build clear build opt
```

# Requirements
### For linux
sudo apt install xclip
### For windows
winget install -e --id zig.zig
